
Foreman - Bug #11658

In host/hostgroup form, removing puppetclasses in 'Puppet classes' tab does not trigger call to

server

09/02/2015 07:13 AM - Ondřej Pražák

Status: Rejected   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2691

  

Description

When removing puppetclasses from host/hostgroup in 'Puppet Classes' tab, the removal does not result in ajax call and no view

templates get re-rendered as opposed to adding a puppetclass. The removal should trigger re-rendering of 'Parameters' tab at the

very least.

Related issues:

Related to Foreman - Bug #11683: Spinner in puppet class parameters spinning ... Closed 09/04/2015

Blocks Foreman - Tracker #10467: Parameter UI improvements in host and hostgr... New 05/11/2015

Blocks Foreman - Bug #11465: In host/hostgroup parameters form, tables that a... New 08/24/2015

History

#1 - 09/02/2015 07:14 AM - Ondřej Pražák

- Blocks Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#2 - 09/02/2015 07:14 AM - Ondřej Pražák

- Blocks Bug #11465: In host/hostgroup parameters form, tables that are empty should display helpful text added

#3 - 09/02/2015 07:17 AM - Ondřej Pražák

Discussion: https://github.com/theforeman/foreman/pull/2658#issuecomment-136947777

#4 - 09/04/2015 03:26 AM - Ondřej Pražák

- Related to Bug #11683: Spinner in puppet class parameters spinning indefinitely on hostgroup creation added

#5 - 09/09/2015 03:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2691 added

- Pull request deleted ()

#6 - 09/11/2015 03:11 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

Appears that this didn't happen.
